> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.jambonz.org/reference/rest-platform-management/alerts/list-alert-hooks/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.jambonz.org/_mcp/server. # list alert hooks GET https://api.jambonz.cloud/v1/Accounts/{AccountSid}/AlertHooks Reference: https://docs.jambonz.org/reference/rest-platform-management/alerts/list-alert-hooks ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `AccountSid` (string, required) ## Response ### 200 list of alert hooks for the account - `list of AlertHook` ## Types ### AlertHook - `alert_hook_sid` (string, required) - `account_sid` (string, required) - `type` (enum, required) — json - signed JSON POST to a URL; slack - Slack incoming webhook; pagerduty - PagerDuty Events API v2; email - only when the platform has email configured - Allowed values: `json`, `slack`, `pagerduty`, `email` - `address` (string, required) - `created_at` (string, optional) ## Examples **Response** ```json [ { "alert_hook_sid": "string", "account_sid": "string", "type": "json", "address": "string", "created_at": "2024-01-15T09:30:00Z" } ] ``` **SDK Code** ```python import requests url = "https://api.jambonz.cloud/v1/Accounts/AccountSid/AlertHooks" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.jambonz.cloud/v1/Accounts/AccountSid/AlertHooks'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.jambonz.cloud/v1/Accounts/AccountSid/AlertHooks" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.jambonz.cloud/v1/Accounts/AccountSid/AlertHooks") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.jambonz.cloud/v1/Accounts/AccountSid/AlertHooks") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.jambonz.cloud/v1/Accounts/AccountSid/AlertHooks', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.jambonz.cloud/v1/Accounts/AccountSid/AlertHooks"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.jambonz.cloud/v1/Accounts/AccountSid/AlertHooks")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```